Skip to main content
POST
/
identity
/
list
List identity-verification history for a client
curl --request POST \
  --url https://api.artu.ai/identity/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "limit": 20,
  "offset": 0
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "checkedBy": "<string>",
    "results": {},
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json

List identity history for a client, most recent first.

clientId
string<uuid>
required
limit
integer
default:20
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: 0 <= x <= 9007199254740991

Response

200 - application/json

OK

id
string<uuid>
required
clientId
string<uuid>
required
checkedBy
string
required
Minimum string length: 1
results
object
required
createdAt
string<date-time>
required